<!--
  ~ This file is part of the DATAtourisme project.
  ~ 2022
  ~ @author Conjecto <contact@conjecto.com>
  ~ SPDX-License-Identifier: GPL-3.0-or-later
  ~ For the full copyright and license information, please view the LICENSE file that was distributed with this source code.
  -->

<div class="box no-border">
    <alignment-step-box-header step="$ctrl.step"></alignment-step-box-header>
    <form name="$ctrl.form">
        <div class="box-body">
            <div class="form-group required">
                <label>Type</label>
                <div>
                    <label class="radio-inline"><input type="radio" ng-model="$ctrl.data.type" value="extract" required>Valeur extraite du XML</label>
                    <label class="radio-inline"><input type="radio" ng-model="$ctrl.data.type" value="constant" required>Valeur constante</label>
                </div>
            </div>

            <!-- XPATH -->
            <div ng-if="$ctrl.data.type == 'extract'">
                <div class="form-group required">
                    <label>Chemin d'extraction</label>
                    <xpath-input ng-model="$ctrl.data.extract" schema="$ctrl.navigator.xpathSchema" context="$ctrl.xpathContext" selector="value"></xpath-input>
                </div>
            </div>

            <!-- CONSTANT -->
            <div ng-if="$ctrl.data.type == 'constant'" ng-switch on="$ctrl.step.property.getRange().getShortUri()">

                <!-- boolean-->
                <div ng-switch-when="xsd:boolean" class="form-group required">
                    <label>Valeur</label>
                    <div>
                        <label class="radio-inline"><input type="radio" ng-model="$ctrl.data.constant.value" value="true">Vrai</label>
                        <label class="radio-inline"><input type="radio" ng-model="$ctrl.data.constant.value" value="false">Faux</label>
                    </div>
                </div>

                <!-- literal -->
                <div ng-switch-when="rdfs:Literal" class="form-group required">
                    <label>Valeur</label>
                    <textarea class="form-control" ng-model="$ctrl.data.constant.value" rows="5"></textarea>
                </div>

                <!-- int-->
                <div ng-switch-when="xsd:int" class="form-group required">
                    <label>Nombre</label>
                    <input type="number" class="form-control" ng-model="$ctrl.data.constant.value">
                </div>

                <!-- date -->
                <div ng-switch-when="xsd:date" class="form-group required">
                    <label>Date</label>
                    <input type="date" class="form-control" ng-model="$ctrl.data.constant.value">
                </div>

                <!-- default-->
                <div ng-switch-default class="form-group required">
                    <label>Valeur</label>
                    <input type="text" class="form-control" ng-model="$ctrl.data.constant.value">
                </div>
            </div>

        </div>
    </form>
</div>

<div class="box no-border" ng-if="$ctrl.navigator.debug">
    <!-- /.box-header -->
    <div class="box-header with-border">
        <h3 class="box-title">Data</h3>
    </div>
    <div class="box-body">
        <pre>{{ $ctrl.data|json }}</pre>
    </div>
</div>


